<template>
  <div class="chat-room">
    <div class="header">
      <h2>{{ title }}</h2>
    </div>
    <div class="messages-container">
      <ChatMessage
        v-for="(message, index) in messages"
        :key="index"
        :username="message.username"
        :text="message.text"
      />
    </div>
    <ChatInput @send-message="addMessage"/>
  </div>
</template>

<script>
import ChatMessage from './ChatMessage.vue'
import ChatInput from './ChatInput.vue'

export default {
  components: {
    ChatMessage,
    ChatInput
  },
  data() {
    return {
      title: 'Chat Room',
      messages: []
    }
  },
  methods: {
    addMessage(message) {
      this.messages.push({
        username: 'User',
        text: message
      })
    }
  }
}
</script>

<style scoped>
.chat-room {
  width: 80%;
  max-width: 600px;
  margin: 0 auto;
  background-color: white;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 10%);
}

.header {
  background-color: lightblue;
  color: white;
  padding: 16px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.messages-container {
  height: calc(100vh - 190px);
  overflow-y: scroll;
  padding: 16px;
}
</style>
